path: /build/build/kwrite-kde-apps-5-23.08.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="activities handbook" emerge kde-apps/kwrite:5 -pv -t && \
    USE="activities handbook" emerge -j ${JOBS} --nodeps kde-apps/kwrite:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/kwrite && luet-portage --dir /pkgdir/kwrite
    kde-apps/kwrite:5 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:00645dadef2e8970a13ddd150c6b97a01808bfdca27f975aca7da41f55a782ba
  package:
    name: kwrite
    version: 23.08.2
    category: kde-apps-5
    use_flags:
    - activities
    - handbook
    requires:
    - name: kateprivate
      version: '>=0'
      category: kde-apps-5
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Simple text editor based on KDE Frameworks
    uri:
    - https://apps.kde.org/en/kwrite
    license: GPL-2
    buildtimestamp: 2024-02-14 17:32:55.171941507 +0000 UTC m=+341.553749533
    labels:
      BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.98.0:5
        handbook? ( >=kde-frameworks/kdoctools-5.98.0:5 )
      DEPEND: '>=dev-qt/qtgui-5.15.2:5 >=dev-qt/qtwidgets-5.15.2:5 >=kde-frameworks/kconfig-5.98.0:5
        >=kde-frameworks/kconfigwidgets-5.98.0:5 >=kde-frameworks/kcoreaddons-5.98.0:5
        >=kde-frameworks/kcrash-5.98.0:5 >=kde-frameworks/kdbusaddons-5.98.0:5 >=kde-frameworks/ki18n-5.98.0:5
        >=kde-frameworks/kio-5.98.0:5 >=kde-frameworks/kjobwidgets-5.98.0:5 >=kde-frameworks/kparts-5.98.0:5
        >=kde-frameworks/ktexteditor-5.98.0:5 >=kde-frameworks/ktextwidgets-5.98.0:5
        >=kde-frameworks/kwidgetsaddons-5.98.0:5 >=kde-frameworks/kxmlgui-5.98.0:5
        activities? ( >=kde-frameworks/kactivities-5.98.0:5 ) =kde-apps/kateprivate-23.08.2
        dev-util/desktop-file-utils x11-misc/shared-mime-info >=dev-qt/qtcore-5.15.2:5
        dev-util/desktop-file-utils'
      IUSE: activities debug +handbook
      RDEPEND: '>=dev-qt/qtgui-5.15.2:5 >=dev-qt/qtwidgets-5.15.2:5 >=kde-frameworks/kconfig-5.98.0:5
        >=kde-frameworks/kconfigwidgets-5.98.0:5 >=kde-frameworks/kcoreaddons-5.98.0:5
        >=kde-frameworks/kcrash-5.98.0:5 >=kde-frameworks/kdbusaddons-5.98.0:5 >=kde-frameworks/ki18n-5.98.0:5
        >=kde-frameworks/kio-5.98.0:5 >=kde-frameworks/kjobwidgets-5.98.0:5 >=kde-frameworks/kparts-5.98.0:5
        >=kde-frameworks/ktexteditor-5.98.0:5 >=kde-frameworks/ktextwidgets-5.98.0:5
        >=kde-frameworks/kwidgetsaddons-5.98.0:5 >=kde-frameworks/kxmlgui-5.98.0:5
        activities? ( >=kde-frameworks/kactivities-5.98.0:5 ) =kde-apps/kateprivate-23.08.2
        >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.98.0:5 kde-frameworks/oxygen-icons:*
        ) >=dev-qt/qtcore-5.15.2:5'
      emerge.packages: kde-apps/kwrite:5
      kit: kde-kit
      original.package.name: kde-apps/kwrite
      original.package.slot: "5"
      original.package.version: 23.08.2
    treedir: /build/packages
  package_dir: /pkgdir/kwrite
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: ce7ed1661d05d74e983503fe9730ecb44e92815fe5e0575e8e2e20f0ec16f1d3
compressiontype: zstd
files:
- usr/bin/kwrite
- usr/share/applications/org.kde.kwrite.desktop
- usr/share/doc/kwrite-23.08.2/README.md.bz2
- usr/share/help/ca/kwrite/index.cache.bz2
- usr/share/help/ca/kwrite/index.docbook
- usr/share/help/de/kwrite/index.cache.bz2
- usr/share/help/de/kwrite/index.docbook
- usr/share/help/en/kwrite/index.cache.bz2
- usr/share/help/en/kwrite/index.docbook
- usr/share/help/es/kwrite/index.cache.bz2
- usr/share/help/es/kwrite/index.docbook
- usr/share/help/it/kwrite/index.cache.bz2
- usr/share/help/it/kwrite/index.docbook
- usr/share/help/ko/kwrite/index.cache.bz2
- usr/share/help/ko/kwrite/index.docbook
- usr/share/help/nl/kwrite/index.cache.bz2
- usr/share/help/nl/kwrite/index.docbook
- usr/share/help/pt/kwrite/index.cache.bz2
- usr/share/help/pt/kwrite/index.docbook
- usr/share/help/pt_BR/kwrite/index.cache.bz2
- usr/share/help/pt_BR/kwrite/index.docbook
- usr/share/help/ru/kwrite/index.cache.bz2
- usr/share/help/ru/kwrite/index.docbook
- usr/share/help/sv/kwrite/index.cache.bz2
- usr/share/help/sv/kwrite/index.docbook
- usr/share/help/uk/kwrite/index.cache.bz2
- usr/share/help/uk/kwrite/index.docbook
- usr/share/icons/hicolor/128x128/apps/kwrite.png
- usr/share/icons/hicolor/150x150/apps/kwrite.png
- usr/share/icons/hicolor/16x16/apps/kwrite.png
- usr/share/icons/hicolor/22x22/apps/kwrite.png
- usr/share/icons/hicolor/256x256/apps/kwrite.png
- usr/share/icons/hicolor/310x310/apps/kwrite.png
- usr/share/icons/hicolor/32x32/apps/kwrite.png
- usr/share/icons/hicolor/44x44/apps/kwrite.png
- usr/share/icons/hicolor/48x48/apps/kwrite.png
- usr/share/icons/hicolor/512x512/apps/kwrite.png
- usr/share/icons/hicolor/64x64/apps/kwrite.png
- usr/share/icons/hicolor/scalable/apps/kwrite.svg
- usr/share/metainfo/org.kde.kwrite.appdata.xml
- var/db/pkg/kde-apps/kwrite-23.08.2/BDEPEND
- var/db/pkg/kde-apps/kwrite-23.08.2/BUILD_TIME
- var/db/pkg/kde-apps/kwrite-23.08.2/CATEGORY
- var/db/pkg/kde-apps/kwrite-23.08.2/CBUILD
- var/db/pkg/kde-apps/kwrite-23.08.2/CFLAGS
- var/db/pkg/kde-apps/kwrite-23.08.2/CHOST
- var/db/pkg/kde-apps/kwrite-23.08.2/CONTENTS
- var/db/pkg/kde-apps/kwrite-23.08.2/COUNTER
- var/db/pkg/kde-apps/kwrite-23.08.2/CXXFLAGS
- var/db/pkg/kde-apps/kwrite-23.08.2/DEFINED_PHASES
- var/db/pkg/kde-apps/kwrite-23.08.2/DEPEND
- var/db/pkg/kde-apps/kwrite-23.08.2/DESCRIPTION
- var/db/pkg/kde-apps/kwrite-23.08.2/EAPI
- var/db/pkg/kde-apps/kwrite-23.08.2/FEATURES
- var/db/pkg/kde-apps/kwrite-23.08.2/HOMEPAGE
- var/db/pkg/kde-apps/kwrite-23.08.2/INHERITED
- var/db/pkg/kde-apps/kwrite-23.08.2/IUSE
- var/db/pkg/kde-apps/kwrite-23.08.2/IUSE_EFFECTIVE
- var/db/pkg/kde-apps/kwrite-23.08.2/KEYWORDS
- var/db/pkg/kde-apps/kwrite-23.08.2/LDFLAGS
- var/db/pkg/kde-apps/kwrite-23.08.2/LICENSE
- var/db/pkg/kde-apps/kwrite-23.08.2/NEEDED
- var/db/pkg/kde-apps/kwrite-23.08.2/PF
- var/db/pkg/kde-apps/kwrite-23.08.2/RDEPEND
- var/db/pkg/kde-apps/kwrite-23.08.2/REQUIRES
- var/db/pkg/kde-apps/kwrite-23.08.2/SIZE
- var/db/pkg/kde-apps/kwrite-23.08.2/SLOT
- var/db/pkg/kde-apps/kwrite-23.08.2/USE
- var/db/pkg/kde-apps/kwrite-23.08.2/environment.bz2
- var/db/pkg/kde-apps/kwrite-23.08.2/kwrite-23.08.2.ebuild
- var/db/pkg/kde-apps/kwrite-23.08.2/repository
package_cacheimage: ""
runtime:
  name: kwrite
  version: 23.08.2
  category: kde-apps-5
  use_flags:
  - activities
  - handbook
  requires:
  - name: kateprivate
    version: '>=0'
    category: kde-apps-5
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Simple text editor based on KDE Frameworks
  uri:
  - https://apps.kde.org/en/kwrite
  license: GPL-2
  labels:
    BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.98.0:5
      handbook? ( >=kde-frameworks/kdoctools-5.98.0:5 )
    DEPEND: '>=dev-qt/qtgui-5.15.2:5 >=dev-qt/qtwidgets-5.15.2:5 >=kde-frameworks/kconfig-5.98.0:5
      >=kde-frameworks/kconfigwidgets-5.98.0:5 >=kde-frameworks/kcoreaddons-5.98.0:5
      >=kde-frameworks/kcrash-5.98.0:5 >=kde-frameworks/kdbusaddons-5.98.0:5 >=kde-frameworks/ki18n-5.98.0:5
      >=kde-frameworks/kio-5.98.0:5 >=kde-frameworks/kjobwidgets-5.98.0:5 >=kde-frameworks/kparts-5.98.0:5
      >=kde-frameworks/ktexteditor-5.98.0:5 >=kde-frameworks/ktextwidgets-5.98.0:5
      >=kde-frameworks/kwidgetsaddons-5.98.0:5 >=kde-frameworks/kxmlgui-5.98.0:5 activities?
      ( >=kde-frameworks/kactivities-5.98.0:5 ) =kde-apps/kateprivate-23.08.2 dev-util/desktop-file-utils
      x11-misc/shared-mime-info >=dev-qt/qtcore-5.15.2:5 dev-util/desktop-file-utils'
    IUSE: activities debug +handbook
    RDEPEND: '>=dev-qt/qtgui-5.15.2:5 >=dev-qt/qtwidgets-5.15.2:5 >=kde-frameworks/kconfig-5.98.0:5
      >=kde-frameworks/kconfigwidgets-5.98.0:5 >=kde-frameworks/kcoreaddons-5.98.0:5
      >=kde-frameworks/kcrash-5.98.0:5 >=kde-frameworks/kdbusaddons-5.98.0:5 >=kde-frameworks/ki18n-5.98.0:5
      >=kde-frameworks/kio-5.98.0:5 >=kde-frameworks/kjobwidgets-5.98.0:5 >=kde-frameworks/kparts-5.98.0:5
      >=kde-frameworks/ktexteditor-5.98.0:5 >=kde-frameworks/ktextwidgets-5.98.0:5
      >=kde-frameworks/kwidgetsaddons-5.98.0:5 >=kde-frameworks/kxmlgui-5.98.0:5 activities?
      ( >=kde-frameworks/kactivities-5.98.0:5 ) =kde-apps/kateprivate-23.08.2 >=kde-frameworks/kf-env-4
      || ( >=kde-frameworks/breeze-icons-5.98.0:5 kde-frameworks/oxygen-icons:* )
      >=dev-qt/qtcore-5.15.2:5'
    emerge.packages: kde-apps/kwrite:5
    kit: kde-kit
    original.package.name: kde-apps/kwrite
    original.package.slot: "5"
    original.package.version: 23.08.2
